DROP TABLE CRST_AR_RECEIPT_METHOD_ACCOUNT;

CREATE TABLE CRST_AR_RECEIPT_METHOD_ACCOUNT
(
  BANK_ACCOUNT_ID                 NUMBER(15)    NOT NULL,
  RECEIPT_METHOD_ID               NUMBER(15)    NOT NULL,
  CASH_CCID                       NUMBER(15)    NOT NULL,
  CREATED_BY                      NUMBER(15)    NOT NULL,
  CREATION_DATE                   DATE          NOT NULL,
  EARNED_CCID                     NUMBER(15),
  LAST_UPDATED_BY                 NUMBER(15)    NOT NULL,
  LAST_UPDATE_DATE                DATE          NOT NULL,
  ON_ACCOUNT_CCID                 NUMBER(15)    NOT NULL,
  START_DATE                      DATE          NOT NULL,
  UNAPPLIED_CCID                  NUMBER(15)    NOT NULL,
  UNEARNED_CCID                   NUMBER(15),
  UNIDENTIFIED_CCID               NUMBER(15)    NOT NULL,
  BANK_CHARGES_CCID               NUMBER(15),
  END_DATE                        DATE,
  FACTOR_CCID                     NUMBER(15),
  FACTOR_PRINT_PROGRAM_ID         NUMBER(15),
  FACTOR_TRANSMISSION_PROGRAM_ID  NUMBER(15),
  LAST_UPDATE_LOGIN               NUMBER(15),
  MIN_RECEIPT_AMOUNT              NUMBER,
  RECEIPT_CLEARING_CCID           NUMBER(15),
  REMITTANCE_CCID                 NUMBER(15),
  REMIT_PRINT_PROGRAM_ID          NUMBER(15),
  REMIT_TRANSMISSION_PROGRAM_ID   NUMBER(15),
  ATTRIBUTE_CATEGORY              VARCHAR2(30 BYTE),
  ATTRIBUTE1                      VARCHAR2(150 BYTE),
  ATTRIBUTE2                      VARCHAR2(150 BYTE),
  ATTRIBUTE3                      VARCHAR2(150 BYTE),
  ATTRIBUTE4                      VARCHAR2(150 BYTE),
  ATTRIBUTE5                      VARCHAR2(150 BYTE),
  ATTRIBUTE6                      VARCHAR2(150 BYTE),
  ATTRIBUTE7                      VARCHAR2(150 BYTE),
  ATTRIBUTE8                      VARCHAR2(150 BYTE),
  ATTRIBUTE9                      VARCHAR2(150 BYTE),
  ATTRIBUTE10                     VARCHAR2(150 BYTE),
  ATTRIBUTE11                     VARCHAR2(150 BYTE),
  ATTRIBUTE12                     VARCHAR2(150 BYTE),
  ATTRIBUTE13                     VARCHAR2(150 BYTE),
  ATTRIBUTE14                     VARCHAR2(150 BYTE),
  ATTRIBUTE15                     VARCHAR2(150 BYTE),
  PRIMARY_FLAG                    VARCHAR2(1 BYTE) NOT NULL,
  CLEARING_DAYS                   NUMBER(5),
  SHORT_TERM_DEBT_CCID            NUMBER(15),
  OVERRIDE_REMIT_ACCOUNT_FLAG     VARCHAR2(1 BYTE),
  RISK_ELIMINATION_DAYS           NUMBER(5),
  ORG_ID                          NUMBER(15),
  GLOBAL_ATTRIBUTE1               VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE2               VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE3               VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE4               VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE5               VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE6               VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE7               VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE8               VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE9               VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE10              VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE11              VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE12              VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE13              VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE14              VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE15              VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE16              VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE17              VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE18              VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE19              VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE20              VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE_CATEGORY       VARCHAR2(30 BYTE),
  EDISC_RECEIVABLES_TRX_ID        NUMBER(15),
  UNEDISC_RECEIVABLES_TRX_ID      NUMBER(15),
  BR_COLLECTION_DAYS              NUMBER(5),
  BR_STD_RECEIVABLES_TRX_ID       NUMBER(15),
  BR_REMITTANCE_CCID              NUMBER(15),
  BR_FACTOR_CCID                  NUMBER(15)
);
